//
//  MyTextView.h
//  MyTextView
//
//  Created by Jose Miguel Gomez Gonzalez
//


#ifndef MyTextView_h
#define MyTextView_h


//#include "CCCommon.h"
#include "cocos2d.h"
#include "MyTextViewDelegate.h"

USING_NS_CC;

class MyTextView : public CCLayerColor
{
private:
    
    MyTextViewDelegate*  m_pDelegate;
    
    CCPoint prevPos;
    bool wasVisible;
    
    void update(float dt);
    
public:
    
    MyTextView();
    ~MyTextView();
    
    CREATE_FUNC(MyTextView);
    
    static MyTextView* createWithRect(CCRect rect, const char* placeholder, ccColor3B color, CCNode* container);
    bool initWithRect(CCRect rect, const char* placeholder, ccColor3B color, CCNode* container);
    
    virtual void onEnterTransitionDidFinish();
    virtual void onExitTransitionDidStart();
    
    void setDelegate(MyTextViewDelegate* pDelegate);
    
    void textViewEditingShouldBegin(MyTextView* textView);
    void textViewEditingDidBegin(MyTextView* textView);
    void textViewEditingShouldEnd(MyTextView* textView);
    void textViewEditingDidEnd(MyTextView* textView);
    void textViewTextChanged(MyTextView* textView, const char* text);
    
    void textViewKeyboardWillShow(CGSize size);
    void textViewKeyboardWillHide();
    
    void setText(const char* text);
    const char* getText();
};


#endif