//
//  MyTextViewBridge.h
//  MyTextView
//
//  Created by Jose Miguel Gomez Gonzalez
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import <UIKit/UIKit.h>
#import "MyTextView.h"

@interface MyTextViewBridge : NSObject<UITextViewDelegate>
{
    MyTextView * mMyTextView;
    UITextView *mtextView;
    NSString* mPlaceholder;
    float factor;
    CCSize size;
    CGPoint originalPos;
}

- (void)initWithRect:(CGRect)rect placeholder:(NSString *)placeholder color:(UIColor*)color container:(MyTextView *)container;

- (void)updatePosition:(CGPoint)pos;

- (BOOL)textViewShouldBeginEditing:(UITextView *)textView;
- (void)textViewDidBeginEditing:(UITextView *)textView;
- (BOOL)textViewShouldEndEditing:(UITextView *)textView;
- (void)textViewDidEndEditing:(UITextView *)textView;
- (void)textViewDidChangeSelection:(UITextView *)textView;

- (void)textViewKeyboardWillShow:(NSNotification *)notification;
- (void)textViewKeyboardWillHide:(NSNotification *)notification;

-(BOOL)textView:(UITextView *)textView shouldChangeTextInRange:(NSRange)range replacementText:(NSString *)text;

- (void)setVisible:(BOOL)visible;
- (void)setText:(NSString*)text;
- (NSString*)getText;

@end